Xerces-C++: DOMLSException Class Reference

Xerces-C++ 3.2.3

List of all members
DOMLSException Class Reference
Inheritance diagram for DOMLSException:

## Public Types
Public Contants
enum | LSExceptionCode { PARSE_ERR = 81, SERIALIZE_ERR = 82 }
| ExceptionCode. More...
Public Types inherited from DOMException
enum | ExceptionCode { INDEX_SIZE_ERR = 1, DOMSTRING_SIZE_ERR = 2, HIERARCHY_REQUEST_ERR = 3, WRONG_DOCUMENT_ERR = 4, INVALID_CHARACTER_ERR = 5, NO_DATA_ALLOWED_ERR = 6, NO_MODIFICATION_ALLOWED_ERR = 7, NOT_FOUND_ERR = 8, NOT_SUPPORTED_ERR = 9, INUSE_ATTRIBUTE_ERR = 10, INVALID_STATE_ERR = 11, SYNTAX_ERR = 12, INVALID_MODIFICATION_ERR = 13, NAMESPACE_ERR = 14, INVALID_ACCESS_ERR = 15, VALIDATION_ERR = 16, TYPE_MISMATCH_ERR = 17 }
| ExceptionCode. More...

## Public Member Functions
Constructors
| DOMLSException ()
| Default constructor for DOMLSException. More...
| DOMLSException (short code, short messageCode, MemoryManager *const memoryManager)
| Constructor which takes an error code and a message. More...
| DOMLSException (const DOMLSException &other)
| Copy constructor. More...
Public Member Functions inherited from DOMException
| DOMException ()
| Default constructor for DOMException. More...
| DOMException (short code, short messageCode=0, MemoryManager *const memoryManager=XMLPlatformUtils::fgMemoryManager)
| Constructor which takes an error code and an optional message code. More...
| DOMException (const DOMException &other)
| Copy constructor. More...
virtual | ~DOMException ()
| Destructor for DOMException. More...
const XMLCh * | getMessage () const

## Destructor.
virtual | ~DOMLSException ()
| Destructor for DOMLSException. More...

## Additional Inherited Members
Public Attributes inherited from DOMException
short | code
| A code value, from the set defined by the ExceptionCode enum, indicating the type of error that occured. More...
const XMLCh * | msg
| A string value. More...
Protected Attributes inherited from DOMException
MemoryManager * | fMemoryManager

## Member Enumeration Documentation

## ◆ LSExceptionCode

enum DOMLSException::LSExceptionCode

ExceptionCode.

`PARSE_ERR:` If an attempt was made to load a document, or an XML Fragment, using DOMLSParser and the processing has been stopped.

`SERIALIZE_ERR:` If an attempt was made to serialize a Node using LSSerializer and the processing has been stopped.

Since
  DOM Level 3

Enumerator
PARSE_ERR |
SERIALIZE_ERR |

## Constructor & Destructor Documentation

## ◆ DOMLSException() [1/3]

DOMLSException::DOMLSException | ( |  | ) |

Default constructor for DOMLSException.

## ◆ DOMLSException() [2/3]

DOMLSException::DOMLSException | ( | short | code,
|  | short | messageCode,
|  | MemoryManager *const | memoryManager
| ) |  |

Constructor which takes an error code and a message.

Parameters

  code | The error code which indicates the exception
  messageCode | The string containing the error message
  memoryManager | The memory manager used to (de)allocate memory

## ◆ DOMLSException() [3/3]

DOMLSException::DOMLSException | ( | const DOMLSException & | other | ) |

Copy constructor.

Parameters

  other | The object to be copied.

## ◆ ~DOMLSException()

virtual DOMLSException::~DOMLSException | ( |  | ) |
| virtual

Destructor for DOMLSException.

The documentation for this class was generated from the following file:

- DOMLSException.hpp